<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxRectangle (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxRectangle (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxRectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxRectangle" class="title">Class mxRectangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxPoint</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxRectangle</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code>, <code><a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxRectangle</span>
extends <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></pre>
<div class="block">Implements a 2-dimensional rectangle with double precision coordinates.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#hk.quantr.mxgraph.util.mxRectangle">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#height">height</a></span></code></th>
<td class="colLast">
<div class="block">Holds the width and the height.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#width">width</a></span></code></th>
<td class="colLast">
<div class="block">Holds the width and the height.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="mxPoint.html#x">x</a>, <a href="mxPoint.html#y">y</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxRectangle</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new rectangle at (0, 0) with the width and height set to 0.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double,double,double,double)">mxRectangle</a></span>&#8203;(double&nbsp;x,
           double&nbsp;y,
           double&nbsp;width,
           double&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Constructs a rectangle using the given parameters.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.util.mxRectangle)">mxRectangle</a></span>&#8203;(<a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;rect)</code></th>
<td class="colLast">
<div class="block">Constructs a copy of the given rectangle.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.awt.geom.Rectangle2D)">mxRectangle</a></span>&#8203;(java.awt.geom.Rectangle2D&nbsp;rect)</code></th>
<td class="colLast">
<div class="block">Constructs a copy of the given rectangle.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(hk.quantr.mxgraph.util.mxRectangle)">add</a></span>&#8203;(<a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;rect)</code></th>
<td class="colLast">
<div class="block">Adds the given rectangle to this rectangle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clone()">clone</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a new instance of the same rectangle.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(double,double)">contains</a></span>&#8203;(double&nbsp;x,
        double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Returns true if the given point is contained in the rectangle.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Returns true if the given object equals this rectangle.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCenterX()">getCenterX</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the x-coordinate of the center.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCenterY()">getCenterY</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the y-coordinate of the center.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHeight()">getHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the height of the rectangle.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRectangle()">getRectangle</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the bounds as a new rectangle.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWidth()">getWidth</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the width of the rectangle.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grow(double)">grow</a></span>&#8203;(double&nbsp;amount)</code></th>
<td class="colLast">
<div class="block">Grows the rectangle by the given amount, that is, this method subtracts
 the given amount from the x- and y-coordinates and adds twice the amount
 to the width and height.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersectLine(double,double,double,double)">intersectLine</a></span>&#8203;(double&nbsp;x0,
             double&nbsp;y0,
             double&nbsp;x1,
             double&nbsp;y1)</code></th>
<td class="colLast">
<div class="block">Returns the point at which the specified point intersects the perimeter 
 of this rectangle or null if there is no intersection.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rotate90()">rotate90</a></span>()</code></th>
<td class="colLast">
<div class="block">Rotates this rectangle by 90 degree around its center point.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHeight(double)">setHeight</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the height of the rectangle.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRect(double,double,double,double)">setRect</a></span>&#8203;(double&nbsp;x,
       double&nbsp;y,
       double&nbsp;w,
       double&nbsp;h)</code></th>
<td class="colLast">
<div class="block">Sets this rectangle to the specified values</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWidth(double)">setWidth</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the width of the rectangle.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> representation of this
 <code>mxRectangle</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="mxPoint.html#getPoint()">getPoint</a>, <a href="mxPoint.html#getX()">getX</a>, <a href="mxPoint.html#getY()">getY</a>, <a href="mxPoint.html#setX(double)">setX</a>, <a href="mxPoint.html#setY(double)">setY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>protected&nbsp;double width</pre>
<div class="block">Holds the width and the height. Default is 0.</div>
</li>
</ul>
<a id="height">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>height</h4>
<pre>protected&nbsp;double height</pre>
<div class="block">Holds the width and the height. Default is 0.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxRectangle</h4>
<pre>public&nbsp;mxRectangle()</pre>
<div class="block">Constructs a new rectangle at (0, 0) with the width and height set to 0.</div>
</li>
</ul>
<a id="&lt;init&gt;(java.awt.geom.Rectangle2D)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxRectangle</h4>
<pre>public&nbsp;mxRectangle&#8203;(java.awt.geom.Rectangle2D&nbsp;rect)</pre>
<div class="block">Constructs a copy of the given rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - Rectangle to construct a copy of.</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxRectangle</h4>
<pre>public&nbsp;mxRectangle&#8203;(<a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;rect)</pre>
<div class="block">Constructs a copy of the given rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - Rectangle to construct a copy of.</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(double,double,double,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxRectangle</h4>
<pre>public&nbsp;mxRectangle&#8203;(double&nbsp;x,
                   double&nbsp;y,
                   double&nbsp;width,
                   double&nbsp;height)</pre>
<div class="block">Constructs a rectangle using the given parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-coordinate of the new rectangle.</dd>
<dd><code>y</code> - Y-coordinate of the new rectangle.</dd>
<dd><code>width</code> - Width of the new rectangle.</dd>
<dd><code>height</code> - Height of the new rectangle.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getWidth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getWidth()</pre>
<div class="block">Returns the width of the rectangle.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the width.</dd>
</dl>
</li>
</ul>
<a id="setWidth(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWidth</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWidth&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the width of the rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Double that specifies the new width.</dd>
</dl>
</li>
</ul>
<a id="getHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getHeight()</pre>
<div class="block">Returns the height of the rectangle.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the height.</dd>
</dl>
</li>
</ul>
<a id="setHeight(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeight</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHeight&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the height of the rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Double that specifies the new height.</dd>
</dl>
</li>
</ul>
<a id="setRect(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRect</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRect&#8203;(double&nbsp;x,
                    double&nbsp;y,
                    double&nbsp;w,
                    double&nbsp;h)</pre>
<div class="block">Sets this rectangle to the specified values</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the new x-axis position</dd>
<dd><code>y</code> - the new y-axis position</dd>
<dd><code>w</code> - the new width of the rectangle</dd>
<dd><code>h</code> - the new height of the rectangle</dd>
</dl>
</li>
</ul>
<a id="add(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;add&#8203;(<a href="mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;rect)</pre>
<div class="block">Adds the given rectangle to this rectangle.</div>
</li>
</ul>
<a id="getCenterX()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterX</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getCenterX()</pre>
<div class="block">Returns the x-coordinate of the center.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the x-coordinate of the center.</dd>
</dl>
</li>
</ul>
<a id="getCenterY()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterY</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getCenterY()</pre>
<div class="block">Returns the y-coordinate of the center.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the y-coordinate of the center.</dd>
</dl>
</li>
</ul>
<a id="grow(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>grow</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;grow&#8203;(double&nbsp;amount)</pre>
<div class="block">Grows the rectangle by the given amount, that is, this method subtracts
 the given amount from the x- and y-coordinates and adds twice the amount
 to the width and height.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>amount</code> - Amount by which the rectangle should be grown.</dd>
</dl>
</li>
</ul>
<a id="contains(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(double&nbsp;x,
                        double&nbsp;y)</pre>
<div class="block">Returns true if the given point is contained in the rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-coordinate of the point.</dd>
<dd><code>y</code> - Y-coordinate of the point.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the point is contained in the rectangle.</dd>
</dl>
</li>
</ul>
<a id="intersectLine(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersectLine</h4>
<pre class="methodSignature">public&nbsp;<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;intersectLine&#8203;(double&nbsp;x0,
                             double&nbsp;y0,
                             double&nbsp;x1,
                             double&nbsp;y1)</pre>
<div class="block">Returns the point at which the specified point intersects the perimeter 
 of this rectangle or null if there is no intersection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x0</code> - the x co-ordinate of the first point of the line</dd>
<dd><code>y0</code> - the y co-ordinate of the first point of the line</dd>
<dd><code>x1</code> - the x co-ordinate of the second point of the line</dd>
<dd><code>y1</code> - the y co-ordinate of the second point of the line</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the point at which the line intersects this rectangle, or null
                        if there is no intersection</dd>
</dl>
</li>
</ul>
<a id="getRectangle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRectangle</h4>
<pre class="methodSignature">public&nbsp;java.awt.Rectangle&nbsp;getRectangle()</pre>
<div class="block">Returns the bounds as a new rectangle.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a new rectangle for the bounds.</dd>
</dl>
</li>
</ul>
<a id="rotate90()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotate90</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;rotate90()</pre>
<div class="block">Rotates this rectangle by 90 degree around its center point.</div>
</li>
</ul>
<a id="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;equals&#8203;(java.lang.Object&nbsp;obj)</pre>
<div class="block">Returns true if the given object equals this rectangle.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxPoint.html#equals(java.lang.Object)">equals</a></code>&nbsp;in class&nbsp;<code><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></dd>
</dl>
</li>
</ul>
<a id="clone()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;clone()</pre>
<div class="block">Returns a new instance of the same rectangle.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxPoint.html#clone()">clone</a></code>&nbsp;in class&nbsp;<code><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns the <code>String</code> representation of this
 <code>mxRectangle</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxPoint.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a <code>String</code> representing this
 <code>mxRectangle</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxRectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
